Quassel IRC - Feature #286

Add spell checking support
08/16/2008 09:52 PM - billie

Status: Confirmed Start date:

Priority: Normal Due date:

Assignee: % Done: 50%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
0S: Any

Description
[ think the summary says it all! Spell checking for the input box would be a nice feature.

Related issues:
Has duplicate Quassel IRC - Feature #439: Spellchecker/aspell support for qua... Closed

History

#1 - 08/16/2008 11:11 PM - Sputnick

Once we gain the (optional, but planned) KDE integration, we could use Sonnet for this, which is a quite advanced spellcheck backend. There may be
other cross-platform solutions; please add your information if you know something about that.

#2 - 03/13/2009 05:35 PM - jesperht
- File quassel_spelling.png added
- File 0001-Use-KTextEdit-instead-of-QLineEdit.-On-most-KDE-syst.patch added

| hacked in spell checking through KDE in this patch. Tested both the KDE and Qt only build, and both work fine with this patch.

#3 - 03/13/2009 11:44 PM - jesperht

- File 0002-Catch-recursion-in-message-logger.patch added

Catching a recursion in the message logger with the following patch.

#4 - 03/14/2009 01:28 PM - jesperht

- File 0001-Manually-check-to-see-if-a-search-shortcut-was-hit.patch added

New patch for fixing search functionality when using ktextedit.

#5 - 03/14/2009 08:27 PM - jesperht
- File 0002-Don-t-try-to-send-empty-text.patch added

Make sure not to send empty text as Sput reported.

#6 - 03/15/2009 12:50 AM - Sputnick

- Status changed from New to Confirmed
- Priority changed from High to Normal

- % Done changed from 0 to 50

OK, for KDE integration this is now all in Git master, so if you happen to use KDE integration, you got spell checking now. You'll need to enable it via
context menu for now.

We'll see if we find a way to add this for IKDE as well (in which case I'd probably prefer using the native QLineEdit in any case).

#7 - 04/14/2009 08:18 PM - EvilGuru

Sputnick wrote:

We'll see if we find a way to add this for IKDE as well (in which case I'd probably prefer using the native QLineEdit in any case).
For IKDE you may want to consider Enchant as an alternative to aspell: http://www.abisource.com/projects/enchant/ it is a Freedesktop project with
reasonably wide adoption that has backends for several spell checking engines. This could help to reduce the number of custom dictionaries every
*NIX system gets cluttered with (esp, if your desktop environment doesn't use aspell) and will make deployment on OS X easier (as it can interface
with the built-in spell checking support).

This should result in a better user-experience and potentially fewer dependencies for non-UNIX systems.

#8 - 03/01/2012 06:19 PM - rikai

Enchant does indeed seem like the perfect library to use for this in IKDE. It gives you access to most common spellchecking backends across
platforms with no additional work and should be able to cover just about every language under the sun.

Kadu is probably a decent example of a QT app that makes use of it: hitp:/en.wikipedia.org/wiki/Kadu_(software)

#9 - 02/20/2013 05:51 PM - sOundt3ch

And still nothing was made regarding this?
If only Quassel was coded in python....
#10 - 02/20/2013 07:43 PM - Anonymous
Of course nothing was made, we like to annoy users. </sarcasm>
Useless comment is useless. Go write your own fancy client in python if you so desire.
#11 - 08/31/2013 04:04 PM - sOundt3ch
Tucos wrote:
Of course nothing was made, we like to annoy users. </sarcasm>

Useless comment is useless. Go write your own fancy client in python if you so desire.

Useless replies are equally useless.

And my comment about python was that it would be easier to get contributions back, for one, | wouldn't make useless comments and instead I'd do a
useful contribution.

And such comments is what usually drives me away from projects, low updates and unnecessary sarcasm.
A reply like, if only we had enough time, this would be handled already, or even, please provide a patch to speed this issue ...

Oh! there are patches already attached to the ticket....

#12 - 08/31/2013 04:26 PM - Anonymous

drives me away from projects

As if you were doing anything or were going to do anything.

A reply like, if only we had enough time, this would be handled already, or even, please provide a patch to speed this issue ...

I'm not here to be politically correct and please people making stupid remarks.

Oh! there are patches already attached to the ticket....
Also, if you actually paid attention to quassel's features and the patches attached, you'd realize that Quassel does spellchecking on KDE and that's
exactly what the patches implement. So much for those patches.

Someone worked on an aspell patch in the meantime (gosh, it wasn't you), which may or may not be merged due to sonnet being available seperately
from KDE.

Nice try though.

#13 - 08/31/2013 04:32 PM - sOundt3ch

Thanks for making it even easier to drive away from quassel.
#14 - 08/31/2013 04:35 PM - sOundt3ch

<refrain-from-cursing>

Oh! And was it that hard to provide useful information on the current status of the issue?

</refrain-from-cursing>

#15 - 08/31/2013 05:42 PM - Anonymous

Given that the KDE support has been there for years (which conveniently is also mentioned in this particular issue), KDE Frameworks / sonnet

splitting is somewhat recent, aspell support is crude and has no pull request and keeping in mind that you 'asked' (can't really call it that) 6 months
ago, yeah, as there was no useful information on the current status, it was hard to provide that.

#16 - 06/18/2017 12:35 AM - nurupo

I'm missing spellcheck support in Windows builds. It appears as the AppVeyor-cl doesn't use Sonnet, could you guys add it?

Sonnet supports Windows https:/cgit.kde.org/sonnet.git/tree/src/plugins/hunspell/hunspeliclient.cpp#n32

So does Enchant https://www.abisource.com/projects/enchant/

There is also an Enchant plugin that uses native spellchecking introduced in Windows 8

https://github.com/AbiWord/enchant/i 2
https://github.com/hexchat/hexchat/tree/master/src/libenchant win8

If nothing of this works for you, | could give a try writing my own hunspell-only spelichecker for Qt5's QLineEdit, which you could use in Quassel.

Files

quassel_spelling.png 14.3 KB 03/13/2009 jesperht

0001-Use-KTextEdit-instead-of-QLineEdit.-On-most-KDE-syst.patch  3.38 KB 03/13/2009 jesperht

0002-Catch-recursion-in-message-logger.patch 1.49 KB 03/13/2009 jesperht

0001-Manually-check-to-see-if-a-search-shortcut-was-hit.patch 1.12 KB 03/14/2009 jesperht

0002-Don-t-try-to-send-empty-text.patch 735 Bytes 03/14/2009 jesperht
